//
// Created by fluffymoo on 11.6.18.
//

#include "NeuronLinear.h"

NeuronLinear::NeuronLinear(double a, double b) {

    this->activation_function_parameters = new double[2];

    this->activation_function_parameters[0] = a;
    this->activation_function_parameters[1] = b;

}

void NeuronLinear::activate() {

    this->state = this->activation_function_parameters[0] * this->potential + this->activation_function_parameters[1];

}

double NeuronLinear::activation_function_get_partial_derivative(int param_idx) {

    if(param_idx == 0){
        return this->potential;
    }
    else{
        return 1.0;
    }
}

double NeuronLinear::activation_function_get_derivative() {
    return this->activation_function_parameters[0];
}