//
// Created by fluffymoo on 11.6.18.
//

#ifndef INC_4NEURO_NEURONTANH_H
#define INC_4NEURO_NEURONTANH_H


class NeuronTanh {

};


#endif //INC_4NEURO_NEURONTANH_H
/*
!---------------------!------------------------------------------------------------------------
    ! class tanh_neuron_t !
    !---------------------!

    !> Hyperbolic tangent neuron class - uses f(x) = (e^x - e^(-x))/(e^x + e^(-x)) as
    !! an activation function, 'x' being the neuron potential.
    type, extends(neuron_t) :: tanh_neuron_t
        contains

            !> Activation function - hyperbolic tangent
            procedure, private :: activate => hyperbolic_tangent_activate_impl
    end type tanh_neuron_t

    interface tanh_neuron_t
        !> Constructor for an instance of the class tanh_neuron_t
        module procedure :: new_tanh_neuron
    end interface tanh_neuron_t

    !> Arcus tangents neuron class - uses f(x)=tan^(-1)(x) as an
    !! activation function, 'x' being the neuron potential
    type, extends(neuron_t) :: arctan_neuron_t
        contains

            !> Activation function - arcus tangens
            procedure, private :: activate => arcus_tangens_activate_impl
    end type arctan_neuron_t

    interface arctan_neuron_t
        !> Constructor for an instance of the class arctan_neuron_t
        module procedure :: new_arctan_neuron
    end interface arctan_neuron_t

    contains
 */